> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Client Document

> Uploads a document for a specific client. Maximum file size is 50 MB.

<Info>
  Upload files using `multipart/form-data` encoding. The maximum file size is **50 MB**.
</Info>


## OpenAPI

````yaml api-reference/v01.12.00/openapi-v01.12.00.json POST /clients/{id}/documents
openapi: 3.0.0
info:
  title: Roosted
  version: 0.1.12
  contact:
    name: Support
    url: https://support.roostedhr.com/support/home
    email: support@roostedhr.com
  description: |-
    Enterprise API

    Sandbox keys and Production keys are requested from support
servers:
  - url: https://api.roostedhr.com/api/1_12
  - url: https://sandbox.roostedhr.com/api/1_12
security:
  - X-API-KEY: []
tags:
  - name: Announcements
  - name: Areas
  - name: Clients
  - name: Company
  - name: Configuration
  - name: Events
  - name: Locations
  - name: Payroll Groups
  - name: Rate Cards
  - name: Shifts
  - name: Skillsets
  - name: Time Tracking
  - name: Wage Rules
  - name: Workers
paths:
  /clients/{id}/documents:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: Client ID
    post:
      tags:
        - Clients
      summary: Upload Client Document
      description: Uploads a document for a specific client. Maximum file size is 50 MB.
      operationId: post-client-document
      requestBody:
        description: Document upload via base64-encoded file content.
        content:
          application/json:
            schema:
              type: object
              properties:
                file:
                  type: string
                  description: >-
                    Base64-encoded file content (supported types: JPEG, PNG,
                    GIF, BMP, WebP, PDF).
                name:
                  type: string
                  description: >-
                    Display name for the document. Defaults to auto-generated
                    name based on file type.
              required:
                - file
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientDocument'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                File is required:
                  value:
                    code: CLI-800
                    error: File is required
                Invalid base64 encoding:
                  value:
                    code: CLI-800
                    error: Invalid base64 encoding
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid API key:
                  value:
                    code: ATH-100
                    error: Invalid or missing API key
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Insufficient permissions:
                  value:
                    code: CLI-1900
                    error: Insufficient permissions to manage clients
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Not found:
                  value:
                    code: CLI-300
                    error: Client not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Unexpected error:
                  value:
                    code: CLI-2000
                    error: An unexpected error occurred
components:
  schemas:
    ClientDocument:
      title: ClientDocument
      type: object
      properties:
        id:
          type: integer
          description: Unique document identifier.
        name:
          type: string
          description: Document display name.
        file_name:
          type: string
          description: Original uploaded file name.
        date_added:
          type: string
          description: Datetime when the document was uploaded.
        type:
          type: string
          description: Document MIME type or file extension.
        location:
          type: string
          description: URL to the stored document file.
        deleted:
          type: integer
          description: Soft-delete flag (0 = active, 1 = deleted).
        date_deleted:
          type: string
          format: date-time
          nullable: true
          description: Timestamp when the document was soft-deleted, or null if active.
  securitySchemes:
    X-API-KEY:
      name: X-API-KEY
      type: apiKey
      in: header

````